clang 8.0.0

Public Member Functions | Public Attributes | List of all members
clang::threadSafety::til::CopyReducerBase::Container< T > Class Template Reference

`#include "clang/Analysis/Analyses/ThreadSafetyTraverse.h"`

Collaboration diagram for clang::threadSafety::til::CopyReducerBase::Container< T >:
[legend]

## Public Member Functions
| Container (CopyReducerBase &S, unsigned N)
void | push_back (T E)

## Public Attributes
SimpleArray< T > | Elems

## Detailed Description

### template<class T>
class clang::threadSafety::til::CopyReducerBase::Container< T >

Definition at line 148 of file ThreadSafetyTraverse.h.

## Constructor & Destructor Documentation

## ◆ Container()

template<class T >

clang::threadSafety::til::CopyReducerBase::Container< T >::Container | ( | CopyReducerBase & | S,
|  | unsigned | N
| ) |  |
| inline

Definition at line 151 of file ThreadSafetyTraverse.h.

## Member Function Documentation

## ◆ push_back()

template<class T >

void clang::threadSafety::til::CopyReducerBase::Container< T >::push_back | ( | T | E | ) |
| inline

Definition at line 154 of file ThreadSafetyTraverse.h.

## Member Data Documentation

## ◆ Elems

template<class T >

SimpleArray<T> clang::threadSafety::til::CopyReducerBase::Container< T >::Elems

Definition at line 156 of file ThreadSafetyTraverse.h.

The documentation for this class was generated from the following file:

- include/clang/Analysis/Analyses/ThreadSafetyTraverse.h